/************************* 
* Owen Sullivan
* CPSC 2311 F22 Section 002
* opsulli@clemson.edu
*************************/ 

// Include stdio.h for FILE pointers, fopen(), and fclose()
#include <stdio.h>
// Include assert.h for assert()
#include <assert.h>

// Include Lab3Fgetc.h for start()
#include "Lab3Fgetc.h"

// Start main function, passing argc for number of arguments and
// argv as double-pointer for command-line args
int main(int argc, char **argv) {
    
    // Check that two command-line arguments were passed
    assert(argc == 2);
    
    // Create and open file pointer, using file name from
    // second command-line arg
    FILE *input = fopen(argv[1], "r");

    // Check that file was opened successfully
    assert(input != NULL);

    // Call start(), which calls other functions in Lab3Fgetc.h
    start(input);

    // Close file pointer when done
    fclose(input);

    return 0;

}